using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;


namespace BigSock.UI
{
    public class TabGroup : MonoBehaviour
    {

        private List<TabButton> tabButtons;
        private TabButton selectedTab;
        public List<GameObject> objectsToSwap;
      

       public void Subscribe(TabButton button)
        {
            if(tabButtons == null)
            {
                tabButtons = new List<TabButton>();
            }

            tabButtons.Add(button);
        }

        public void OnTabEnter(TabButton button)
        {
            ResetTabs();
            if(selectedTab == null || button != selectedTab) {
                button.GetComponent<Image>().color = new Color32(200, 200, 200, 255);
            }
            
        }

        public void OnTabExit(TabButton button)
        {
            ResetTabs();           
        }

        public void OnTabSelected(TabButton button)
        {
            selectedTab = button;
            ResetTabs();
            button.GetComponent<Image>().color = new Color32(255, 255, 255, 255);

            int index = button.transform.GetSiblingIndex();
            for(int i=0; i<objectsToSwap.Count; i++)
            {
                if(i == index)
                {
                    objectsToSwap[i].SetActive(true);
                }
                else
                {
                    objectsToSwap[i].SetActive(false);
                }
            }
        }

        public void ResetTabs()
        {
            foreach(TabButton button in tabButtons)
            {
                if(selectedTab != null && button == selectedTab) { continue; }
                button.GetComponent<Image>().color = new Color32(160, 160, 160, 255);
            }
        }
    }

}


